Zum Hauptinhalt springen
GET
/
marketing
/
v3
/
campaigns
/
{campaignGuid}
/
assets
/
{assetType}
List assets
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/assets/{assetType} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "metrics": {},
      "name": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

assetType
string
erforderlich
campaignGuid
string
erforderlich

Abfrageparameter

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

endDate
string
limit
string

The maximum number of results to display per page.

startDate
string

Antwort

successful operation

results
object[]
erforderlich
paging
object
Last modified on April 9, 2026